---
title: Resize
url: https://docs.vultr.com/products/compute/instances/cloud-compute/management/resize-instance
description: Learn how to increase or decrease the resources of your Vultr Cloud Compute instance to match your workload requirements.
publish_date: 2024-09-23T20:19:52.818736Z
last_updated: 2026-05-26T18:42:50.027531Z
---

# How to Resize a Vultr Cloud Compute Instance

Resizing an instance activates a new plan with more vCPUs, RAM, and storage to match your needs. Downgrading is not supported while upgrading the instance enables a higher plan without changes to the instance's data or file system.

Follow this guide to resize a Vultr Cloud Compute instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Cloud Compute  instance to open its management page.
    1. Navigate to the **Settings** tab.
    1. Find and click **Change Plan** on the left navigation menu.
    1. Click the **Change Plan** drop-down and select a new instance plan.
    1. Click **Upgrade** to resize your instance.
    1. Check the confirmation prompt and click **Change Plan** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) to resize the instance with a new plan and note the Job ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
        -X PATCH \
        -H "Authorization: Bearer ${VULTR_API_KEY}" \
        -H "Content-Type: application/json" \
        --data '{
          "plan" : "instance_plan_id"
        }'
        ```

    1. Send a `GET` request to the [**Get Instance Job** endpoint](https://www.vultr.com/api/#tag/instances/operation/get-instance-job) to monitor and get availble information for the upgrade plan instance job.

        ```console
        $ curl "https://api.vultr.com/v2/instances/jobs/{job-id}" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. List all available plans the instance can resize to.

        ```console
        $ vultr-cli instance plan list <instance-id>
        ```

    1. Resize the instance to a new plan.

        ```console
        $ vultr-cli instance plan upgrade <instance-id> --plan <instance_plan_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration and locate the Cloud Compute instance resource.

    1. Update the `plan` attribute with the new instance plan ID.

        ```terraform
        resource "vultr_instance" "cc" {
            label    = "cc-instance-1"
            region   = "del"
            plan     = "vc2-4c-8gb" # Updated plan ID for more vCPUs/RAM/Storage
            os_id    = 2284
            hostname = "cc-instance-1"
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
